﻿// Developer Express Code Central Example:
// How to Validate Data Rows
// 
// This example shows how to check the validity of data entered by end-users into a
// data row. The ValidateRow and InvalidRowException events are handled to validate
// the focused row's data, and if it is invalid, prevent the row focus from being
// moved to another row until invalid values are corrected.
// 
// Since the Task class
// doesn't support error notifications, it implements the IDXDataErrorInfo
// interface, providing two members to get error descriptions for the entire row
// and for individual cells (data source fields). This displays error icons within
// cells with invalid values. Pointing to such an error icon displays a tooltip
// with an error description.
// 
// You can find sample updates and versions for different programming languages here:
// http://www.devexpress.com/example=E1593

using System.Reflection;
using System.Resources;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Windows;

// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("TestProject")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("DSCore")]
[assembly: AssemblyProduct("TestProject")]
[assembly: AssemblyCopyright("Copyright © DSCore 2017")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Setting ComVisible to false makes the types in this assembly not visible 
// to COM components.  If you need to access a type in this assembly from 
// COM, set the ComVisible attribute to true on that type.
[assembly: ComVisible(false)]

//In order to begin building localizable applications, set 
//<UICulture>CultureYouAreCodingWith</UICulture> in your .csproj file
//inside a <PropertyGroup>.  For example, if you are using US english
//in your source files, set the <UICulture> to en-US.  Then uncomment
//the NeutralResourceLanguage attribute below.  Update the "en-US" in
//the line below to match the UICulture setting in the project file.

//[assembly: NeutralResourcesLanguage("en-US", UltimateResourceFallbackLocation.Satellite)]


[assembly: ThemeInfo(
    ResourceDictionaryLocation.None, //where theme specific resource dictionaries are located
    //(used if a resource is not found in the page, 
    // or application resource dictionaries)
    ResourceDictionaryLocation.SourceAssembly //where the generic resource dictionary is located
    //(used if a resource is not found in the page, 
    // app, or any theme specific resource dictionaries)
)]


// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Build and Revision Numbers 
// by using the '*' as shown below:
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]
[assembly: GuidAttribute("4AD00733-A63B-401E-97F6-87F0DFD4AC7A")]
